EmbodiFlow文档
开始使用数据工作流与算法训练与部署开发者参考
  • 开发者参考

认证

  • 认证概览
  • API 密钥
  • 个人访问令牌
  • 浏览器会话

REST API

  • 使用 REST API
  • 全部端点
  • 项目
    • 录制
      • 上传
        • 任务片段与版本
          • 标注
            • 质量与任务
              • 检索
                • GET
                  Asset cards across dataset versions and artifacts.
                • GET
                  Single asset card with recent events.
                • POST
                  Preview a structured query against canonical parquet for one dataset version.
                • GET
                  L0 Postgres coarse filter across dataset versions visible to the caller.
                • GET
                  Facet counts for the same visible version scope as dataset-versions list.
                • GET
                  How many recordings are not in the search index yet.
                • POST
                  Explicit team Owner/Admin action: build the search profile for recordings processed before indexing existed. Derived cache, never dataset history.
                • POST
                  Structured + optional semantic catalog search (ADR 0012 / 0014).
                • GET
                  Structured catalog search schema for query builders (ADR 0012).
                • GET
                  Search this team for projects, recordings, versions, and commands
              • 工作流
                • 算法
                  • 模型
                    • 产物与导出
                      • 计费与用量
                        • 团队与治理
                          • 账号与通知
                            • Webhook 端点

                              事件

                              • 出站事件
                              • 签名校验

                              工具

                              • 命令行
                              • SDK
                              • MCP

                              更新

                              • 更新日志

                              © 2026 EmbodiFlow

                              llms.txtOpenAPI JSON
                              1. 开发者参考
                              2. REST API
                              3. 检索
                              4. Single asset card with recent events.

                              Single asset card with recent events.

                              GET
                              /v1/catalog/assets/{assetType}/{assetId}
                              curl -X GET 'https://api.embodiflow.io/v1/catalog/assets/{assetType}/{assetId}' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'

                              认证

                              每个请求都需要携带个人访问令牌(PAT)。

                              • Authorization: Bearer PAT
                              认证指南

                              路径参数

                              • assetTypestring必填
                              • assetIdstring必填

                              响应

                              Success

                              • dataobject必填
                                • checksSummaryobject
                                • recentWorkflowRunsarray<CatalogAssetWorkflowRunSummaryDto>
                                • artifactLinksarray<CatalogAssetArtifactSummaryDto>
                                • latestObservationobject
                                • nextActionHintstring | null
                                • explainabilityobject
                                • sourceTypestring | null
                                • qualityStatusstring | null
                                • freshnessStatusstring
                                  可选值
                                  unknown
                                  stale
                                  fresh
                                • lineageSummaryobject
                                • ownerIdstring | null
                                • governanceTagsarray<CatalogAssetGovernanceTagDto>
                                • datasetIdstring | null
                                • updatedAtstring | null
                                • assetTypestring必填
                                  可选值
                                  artifact
                                  dataset-version
                                  dataset-mixture
                                • assetIdstring必填
                                • tenantIdstring必填
                                • projectIdstring | null必填
                                • assetKeystring必填
                                • displayNamestring必填
                                • healthobject必填
                                • recentEventsarray<AssetEventSummaryDto>
                              响应示例
                              {
                                "data": {
                                  "checksSummary": {
                                    "qualityStatus": "string",
                                    "datasetId": "string",
                                    "datasetVersionId": "string"
                                  },
                                  "recentWorkflowRuns": [
                                    {
                                      "id": "string",
                                      "jobType": "string",
                                      "status": "string",
                                      "createdAt": "string"
                                    }
                                  ],
                                  "artifactLinks": [
                                    {
                                      "id": "string",
                                      "artifactType": "string"
                                    }
                                  ],
                                  "latestObservation": {
                                    "id": "string",
                                    "observationKind": "external-source-hash",
                                    "sourceSystem": "string",
                                    "dataVersion": "string",
                                    "observedAt": "string",
                                    "hash": "string",
                                    "reconciliationStatus": "matched",
                                    "capabilitySummary": {}
                                  },
                                  "nextActionHint": "string",
                                  "explainability": {
                                    "assetType": "string",
                                    "assetId": "string",
                                    "healthStatus": "failed",
                                    "healthSummary": "string",
                                    "qualityStatus": "string",
                                    "handoffImpact": {
                                      "blocksExport": false,
                                      "blocksTrainingHandoff": false,
                                      "summary": "string"
                                    },
                                    "blockingChecks": [
                                      {
                                        "checkCode": "string",
                                        "severity": "string",
                                        "blocking": false,
                                        "status": "string",
                                        "message": "string"
                                      }
                                    ],
                                    "evidenceWorkflowRunId": "string",
                                    "failingNodes": [
                                      {
                                        "nodeRunId": "string",
                                        "stepKey": "string",
                                        "stepType": "string",
                                        "status": "string",
                                        "failureSummary": "string",
                                        "attempt": 0,
                                        "rerunEligible": false,
                                        "rerunUnavailableReason": "string",
                                        "inspectorHref": "string"
                                      }
                                    ],
                                    "nextActions": [
                                      {
                                        "kind": "none",
                                        "label": "string",
                                        "href": "string",
                                        "unavailableReason": "string"
                                      }
                                    ],
                                    "locators": [
                                      {
                                        "kind": "requestId",
                                        "id": "string",
                                        "label": "string",
                                        "href": "string"
                                      }
                                    ],
                                    "evidenceLinks": {
                                      "workflowRunHref": "string",
                                      "versionHref": "string",
                                      "catalogAssetHref": "string",
                                      "checksHref": "string",
                                      "lineageHref": "string",
                                      "backfillHref": "string",
                                      "logsAnchor": "string"
                                    },
                                    "relatedBackfill": {
                                      "backfillId": "string",
                                      "status": "running",
                                      "sourceDatasetVersionId": "string",
                                      "outputDatasetVersionId": "string",
                                      "progressLabel": "string",
                                      "detailHref": "string",
                                      "outputNote": "string"
                                    }
                                  },
                                  "sourceType": "string",
                                  "qualityStatus": "string",
                                  "freshnessStatus": "unknown",
                                  "lineageSummary": {
                                    "datasetId": "string",
                                    "datasetVersionId": "string",
                                    "edgeCount": 0
                                  },
                                  "ownerId": "string",
                                  "governanceTags": [
                                    {
                                      "key": "string",
                                      "value": "string"
                                    }
                                  ],
                                  "datasetId": "string",
                                  "updatedAt": "string",
                                  "assetType": "artifact",
                                  "assetId": "string",
                                  "tenantId": "string",
                                  "projectId": "string",
                                  "assetKey": "string",
                                  "displayName": "string",
                                  "health": {
                                    "healthStatus": "failed",
                                    "lastEventAt": "string",
                                    "summary": "string",
                                    "qualityStatus": "string"
                                  },
                                  "recentEvents": [
                                    {
                                      "id": "string",
                                      "eventType": "materialized",
                                      "createdAt": "string",
                                      "payloadJson": {}
                                    }
                                  ]
                                }
                              }
                              服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1
                              上一页

                              GET /catalog/assets

                              下一页

                              POST /catalog/dataset-version-queries

                              curl -X GET 'https://api.embodiflow.io/v1/catalog/assets/{assetType}/{assetId}' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'
                              响应示例
                              状态码
                              200
                              ​
                              {
                                "data": {
                                  "checksSummary": {
                                    "qualityStatus": "string",
                                    "datasetId": "string",
                                    "datasetVersionId": "string"
                                  },
                                  "recentWorkflowRuns": [
                                    {
                                      "id": "string",
                                      "jobType": "string",
                                      "status": "string",
                                      "createdAt": "string"
                                    }
                                  ],
                                  "artifactLinks": [
                                    {
                                      "id": "string",
                                      "artifactType": "string"
                                    }
                                  ],
                                  "latestObservation": {
                                    "id": "string",
                                    "observationKind": "external-source-hash",
                                    "sourceSystem": "string",
                                    "dataVersion": "string",
                                    "observedAt": "string",
                                    "hash": "string",
                                    "reconciliationStatus": "matched",
                                    "capabilitySummary": {}
                                  },
                                  "nextActionHint": "string",
                                  "explainability": {
                                    "assetType": "string",
                                    "assetId": "string",
                                    "healthStatus": "failed",
                                    "healthSummary": "string",
                                    "qualityStatus": "string",
                                    "handoffImpact": {
                                      "blocksExport": false,
                                      "blocksTrainingHandoff": false,
                                      "summary": "string"
                                    },
                                    "blockingChecks": [
                                      {
                                        "checkCode": "string",
                                        "severity": "string",
                                        "blocking": false,
                                        "status": "string",
                                        "message": "string"
                                      }
                                    ],
                                    "evidenceWorkflowRunId": "string",
                                    "failingNodes": [
                                      {
                                        "nodeRunId": "string",
                                        "stepKey": "string",
                                        "stepType": "string",
                                        "status": "string",
                                        "failureSummary": "string",
                                        "attempt": 0,
                                        "rerunEligible": false,
                                        "rerunUnavailableReason": "string",
                                        "inspectorHref": "string"
                                      }
                                    ],
                                    "nextActions": [
                                      {
                                        "kind": "none",
                                        "label": "string",
                                        "href": "string",
                                        "unavailableReason": "string"
                                      }
                                    ],
                                    "locators": [
                                      {
                                        "kind": "requestId",
                                        "id": "string",
                                        "label": "string",
                                        "href": "string"
                                      }
                                    ],
                                    "evidenceLinks": {
                                      "workflowRunHref": "string",
                                      "versionHref": "string",
                                      "catalogAssetHref": "string",
                                      "checksHref": "string",
                                      "lineageHref": "string",
                                      "backfillHref": "string",
                                      "logsAnchor": "string"
                                    },
                                    "relatedBackfill": {
                                      "backfillId": "string",
                                      "status": "running",
                                      "sourceDatasetVersionId": "string",
                                      "outputDatasetVersionId": "string",
                                      "progressLabel": "string",
                                      "detailHref": "string",
                                      "outputNote": "string"
                                    }
                                  },
                                  "sourceType": "string",
                                  "qualityStatus": "string",
                                  "freshnessStatus": "unknown",
                                  "lineageSummary": {
                                    "datasetId": "string",
                                    "datasetVersionId": "string",
                                    "edgeCount": 0
                                  },
                                  "ownerId": "string",
                                  "governanceTags": [
                                    {
                                      "key": "string",
                                      "value": "string"
                                    }
                                  ],
                                  "datasetId": "string",
                                  "updatedAt": "string",
                                  "assetType": "artifact",
                                  "assetId": "string",
                                  "tenantId": "string",
                                  "projectId": "string",
                                  "assetKey": "string",
                                  "displayName": "string",
                                  "health": {
                                    "healthStatus": "failed",
                                    "lastEventAt": "string",
                                    "summary": "string",
                                    "qualityStatus": "string"
                                  },
                                  "recentEvents": [
                                    {
                                      "id": "string",
                                      "eventType": "materialized",
                                      "createdAt": "string",
                                      "payloadJson": {}
                                    }
                                  ]
                                }
                              }